+31 (0)24 820 00 00

WordPress op PHP 7.1 – Nu beschikbaar

Het is zo ver, de eerste zogenaamde minor versie voor PHP 7 is uitgebracht. In de nacht van 1 op 2 december werd PHP 7.1 officieel beschikbaar gesteld voor gebruik op productie omgevingen. Op vrijdag 2 december hebben wij er voor gezorgd dat alle WordPress sites op ons platform hier gebruik van kunnen maken. Ga zo snel mogelijk je sites updaten naar 7.1, zeker als je nog op PHP 5.6 draait. Wat is er veranderd, en waar moet je rekening mee houden bij het updaten?

PHP logo

Wat is er veranderd?

Deze versie bouwt verder op PHP 7.0, dat betekent dat de nieuwe versie grotendeels backward compatible is. Er zijn voornamelijk nieuwe functionaliteiten toegevoegd, en hier en daar zijn kleine dingen aangepast. Functioneel is er niets verwijderd, alleen enkele onderdelen die intern in PHP gebruikt werden zijn verwijderd.

Deze release focust net zoals 7.0 weer erg op snelheid. Toch zijn er ook enkele zeer interessante veranderingen gemaakt aan de syntax, die ‘type hinting’ veel praktischer maakt door ‘nullables’ te introduceren, de ‘void’ type methods toe te voegen, en het afvangen van meerdere type exceptions in een try-catch statement.

De volledige lijst met nieuwe functionaliteiten en veranderingen kun je vinden op de officiële site van PHP. Een aanrader als je een developer bent.

Hoe kan ik updaten naar PHP 7.1?

Update 07-12-2016: Met de release van WordPress 4.7 zijn enkele zaken opgelost die problemen veroorzaakte met PHP 7.1. Zorg dus dat je WordPress versie up-to-date is voordat je de PHP versie omzet. Upgraden naar WordPress 4.7 kun je gemakkelijk doen via je wp-admin panel. Test ook deze stap goed. Wanneer je automatische core updates bij ons aan hebt staan, wordt je site over enkele weken geüpdatet.

Bij Savvii hebben we het eenvoudig gemaakt om je PHP-versie aan te passen. Wanneer je op admin.savvii.nl je site beheert kun je een andere versie selecteren.

WordPress op PHP 7.1 via het control panel

 

Als je site nu gebruikt van PHP 5.6 raden we je aan om onze vorige blog te lezen over de upgrade naar PHP 7.0. We verwachten niet dat de update van PHP 7.0 naar PHP 7.1 voor problemen zal zorgen. Wel raden we je altijd aan om je site goed te testen na de aanpassing naar PHP 7.1.

Wanneer volgens ons control panel de server klaar is met het updaten van PHP, kun je aan de slag. Log in op je WordPress backend, flush de Savvii cache, en test alle belangrijke functionaliteiten op je website. Denk aan het toevoegen van blogartikelen, (contact) formulieren invullen en opsturen, producten aankopen (test het hele bestelproces). Test alles waar jouw bedrijf of organisatie afhankelijk is voor de dagelijkse gang van zaken, laat zo min mogelijk aan het toeval over.

Wij raden aan om eerst je staging omgeving te updaten, en voornamelijk daarop te testen met de nieuwe PHP-versie, voordat je de verandering op je productieomgeving doorvoert.

Wat moet ik nog meer weten?

Sinds kort draait geen enkele site bij ons meer op PHP 5.4. Wij ondersteunen nu enkel nog PHP 5.6 en de nieuwere PHP 7.0 en PHP 7.1. Nieuwe websites worden standaard op PHP 7.0 uitgerold.

De oudere PHP 5.6 versie zal tot einde 2018 ondersteund worden. Onze ervaring leert dat er praktisch geen grote problemen bij een upgrade naar PHP 7.x naar boven komen, en de snelheidsverbeteringen zijn aanzienlijk. Wij raden iedereen aan om zo snel mogelijk te updaten naar PHP 7.1. Als je nog op PHP 5.6 zit lees dan eerst onze voorgaande blogs. Voor iedereen op 7.0 raden we aan om per direct te updaten.

Nog vragen?

Je kunt je website nog sneller maken. Vul je gegevens hieronder in en ontvang de whitepaper “9 tips om jouw site te versnellen”.

Reageer

(wordt niet getoond)
(wordt niet getoond)
* verplichte velden

Terug naar overzicht

30 dagen niet goed, geld terug

Prijzen & Pakketten

Wij werken met:

  • Let's Encrypt gratis SSL
  • New Relic
  • Varnish
  • Mandrill